Skip to main content
POST
/
v1
/
cardholders
Create a cardholder
curl --request POST \
  --url https://sandbox.apocor.ai/v1/cardholders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "applicant_id": "app_abc123",
  "display_name": "Jane Doe"
}
'
import requests

url = "https://sandbox.apocor.ai/v1/cardholders"

payload = {
"applicant_id": "app_abc123",
"display_name": "Jane Doe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({applicant_id: 'app_abc123', display_name: 'Jane Doe'})
};

fetch('https://sandbox.apocor.ai/v1/cardholders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "applicantId": "<string>",
    "displayName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"code": "INVALID_REQUEST",
"message": "Applicant must be approved"
}
}

Authorizations

Authorization
string
header
required

Bearer access token obtained from POST /v1/oauth/token using your Apocor API key.

Body

application/json
applicant_id
string
required
display_name
string

Response

Cardholder created.

data
object